GNURLMOPT_MAX_CONCURRENT_STREAMS(3)

NAME
CURLMOPT_MAX_CONCURRENT_STREAMS, curl_multi_setopt - set max concurrent streams for http2

LIBRARY
libgnurl

SYNOPSIS
#include <gnurl/curl.h>
CURLMcode
curl_multi_setopt(CURLM *handle, CURLMOPT_MAX_CONCURRENT_STREAMS, long max);

DESCRIPTION
Pass a long indicating the max. The set number will be used as the maximum number of concurrent streams for a connections that libcurl should support on connections done using HTTP/2. Valid values range from 1 to 2147483647 (2^31 - 1) and defaults to 100. The value passed here would be honoured based on other system resources properties.

DEFAULT
100

PROTOCOLS
All

EXAMPLES

    CURLM *m = curl_multi_init();
    /* max concurrent streams 200 */
    curl_multi_setopt(m, CURLMOPT_MAX_CONCURRENT_STREAMS, 200L);

HISTORY
CURLMOPT_MAX_CONCURRENT_STREAMS first appeared in in curl 7.67.0.

RETURN VALUES
Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

SEE ALSO
GNURLOPT_MAXCONNECTS(3), GNURLMOPT_MAXCONNECTS(3)